Subject: Re: bug#51259: Cannot build Guix from source (error messages about the translations)

From: Julien Lepiller <[email-masked]>
Date: Wed, 20 Oct 2021 04:06:15 +0200

Le Tue, 19 Oct 2021 12:29:47 +0200,
Raphaël Mélotte <[email-masked]> a écrit :

> On 10/19/21 11:59 AM, Simon Streit wrote:
> > Extending my previous message:
> > 
> > I first thought that it had to do with commit
> > 15c91189cb61c579f4289047c79530cefe75215f, but it turns out that
> > commit 0623138ffa5b066afc25547ffdeb97753cb0ee9a creates these
> > errors.
> > 
> > Commit d1b375402f5680b1e5a77dd1fb77e1e9d94625d1 is okay.  
> Building on Debian 10, I was about to report the same.
>  From a git bisect I got:
> "0623138ffa5b066afc25547ffdeb97753cb0ee9a is the first bad commit".
> 
> I can confirm that in the meantime, compiling with $LC_ALL set
> manually (to the value of $LANG outside the environment) also worked
> for me: ---
> guix environment guix --pure --ad-hoc help2man git strace bash -- sh
> -c "export LC_ALL=$LANG && ./bootstrap && ./configure
> --localstatedir=/var && make ---
> 
> 
> Kind regards,
> 
> Raphaël
> 
> 
> 

Since it seems this is due to the lack of the LC_ALL variable in the
pure environment, how about the attached patch?
>From bcabc8a22e8462e9398d09efa1c9eef450fb02c4 Mon Sep 17 00:00:00 2001
Message-Id: <[email-masked]>
From: Julien Lepiller <[email-masked]>
Date: Wed, 20 Oct 2021 04:02:06 +0200
Subject: [PATCH] doc: Set LC_ALL when translating xref commands.

* doc/local.mk (xref_command): Set LC_ALL.
---
 doc/local.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/local.mk b/doc/local.mk
index fff11f8183..751d0e5f90 100644
--- a/doc/local.mk
+++ b/doc/local.mk
@@ -102,7 +102,7 @@ PO4A_PARAMS += -f texinfo # texinfo format
 # reference is not translated, which means it references a section that does not
 # exist.
 define xref_command
-$(top_srcdir)/pre-inst-env $(GUILE) --no-auto-compile	\
+LC_ALL=en_US.UTF-8 $(top_srcdir)/pre-inst-env $(GUILE) --no-auto-compile	\
   "$(top_srcdir)/build-aux/convert-xref.scm"		\
   $@.tmp $<
 endef
-- 
2.33.0